Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ResourceNavigatorRenameAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.WorkspaceAction
                      org.eclipse.ui.actions.RenameResourceAction
                          org.eclipse.ui.views.navigator.ResourceNavigatorRenameAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

public class ResourceNavigatorRenameAction
extends RenameResourceAction

The ResourceNavigatorRenameAction is the rename action used by the ResourceNavigator that also allows updating after rename.

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.ui.actions.RenameResourceAction
`ID`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`ResourceNavigatorRenameAction(Shell shell, TreeViewer treeViewer)` Create a ResourceNavigatorRenameAction and use the tree of the supplied viewer for editing.

Method Summary
`void` | `handleKeyReleased(KeyEvent event)` Handle the key release
`protected void` | `runWithNewPath(IPath path, IResource resource)`

Methods inherited from class org.eclipse.ui.actions.RenameResourceAction
`getActionResources, queryNewResourceName, run, setTextActionHandler, updateSelection`

Methods inherited from class org.eclipse.ui.actions.WorkspaceAction
`runInBackground`

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceNavigatorRenameAction

    public ResourceNavigatorRenameAction(Shell shell,
                                         TreeViewer treeViewer)

  Create a ResourceNavigatorRenameAction and use the tree of the supplied viewer for editing.

Parameters:
  `shell` - Shell
  `treeViewer` - TreeViewer

Method Detail

### runWithNewPath

    protected void runWithNewPath(IPath path,
                                  IResource resource)

  Overrides:
    `runWithNewPath` in class `RenameResourceAction`

### handleKeyReleased

    public void handleKeyReleased(KeyEvent event)

  Handle the key release

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.